/**
 * Special thanks to changelogen for the original inspiration for many of these utilities:
 * https://github.com/unjs/changelogen
 */
import { ReleaseType } from 'semver';
import { GitCommit } from './git';
export declare function isRelativeVersionKeyword(val: string): val is ReleaseType;
export declare function isValidSemverSpecifier(specifier: string): boolean;
export interface ConventionalCommitsConfig {
    types: {
        [type: string]: {
            semver: 'patch' | 'minor' | 'major';
        };
    };
}
export declare function determineSemverChange(commits: GitCommit[], config: ConventionalCommitsConfig): 'patch' | 'minor' | 'major' | null;
export declare function deriveNewSemverVersion(currentSemverVersion: string, semverSpecifier: string, preid?: string): string;
